## palemoon 31.4.1

=== debian/changelog ===
palemoon (31.4.1-1.gtk2.mx19) mx; urgency=medium

  * Bugfix release:
    - Fixed wrong color of decoded JPEG-XL images.
    - Fixed an issue with plugins not receiving keypress events properly.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Nov 2022 15:07:32 -0800

palemoon (31.4.0-2.gtk2) obs; urgency=medium

  * d/mozconfig: replace superfluous "--enable-appcompat-guid" with fluous
    "--enable-jxl".

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Nov 2022 13:49:55 -0800

palemoon (31.4.0-1.gtk2) obs; urgency=medium

  * Major development update, adding JPEG-XL image support among other things.
    - Added support for the JPEG-XL image format.
    - Implemented regular expressions lookaround/lookbehind.
    - Aligned CORS header parsing with the updated spec. See implementation
      notes.
    - We no longer fire keypress events for non-printable keys. See
      implementation notes.
    - Added support for MacOS 13 "Ventura" in the platform, primarily
      benefitting White Star.
    - Fixed potentially problematic thread locking code on *nix platforms.
    - Fixed some small issues in the display and operation of the Web
      Developer tools.
    - Removed unused but performance-impacting panning and tab animation
      measuring code. (telemetry leftovers)
    - Improved code for SunOS builds.
    - Updated Internationalization data for time zones.
    - Fixed a buffer overflow for Mac builds.
    - Security issues addressed: CVE-2022-45411 and potential issues without
      a CVE number.
    - UXP Mozilla security patch summary: 2 fixed, 1 DiD, 1 deferred,
      25 not applicable.
   - Implementation notes:
      - CORS support has been updated to the current spec. Most importantly,
        Pale Moon now accepts wildcard entries ("*") for the CORS statements
        Access-Control-Expose-Headers, Access-Control-Allow-Headers and
        Access-Control-Allow-Method. Note that wildcards are ignored
       (according to the spec) when credentials are passed.
      - Pale Moon will no longer fire the keypress events in content when the
        key pressed is a non-printable key. This is in response to issues where
        webmasters would use rudimentary and naïve input-restricting scripts in
        onkeypress handlers that would not take into account editing keys or
        navigation keys, causing issues for users trying to enter data into
        forms (and e.g. finding they could no longer use backspace, cursor keys
        or tab). This aligns our behavior with other browsers for web
        compatibility, although it should be considered a website error 
        expecting not all keypresses to be intercepted in keypress events.

  * debian/mozconfig: Replace "--enable-phoenix-extensions" with
    " --enable-appcompat-guid"

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Nov 2022 17:49:19 -0800

palemoon (31.3.1-1.gtk2) obs; urgency=medium

  * Security and compatibility update:
    - Added detection suport for the newly-released MacOS 13 (Ventura).
    - Fixed a potential heap Use-After-Free risk in Expat. (CVE-2022-40674) DiD
    - Fixed potentially undefined behavior in our thread locking code. DiD
    - Fixed a potentially exploitable crash in the refresh driver.
    - Fixed potentially undefined behavior when base-64 decoding. DiD
    - Implemented a texture size cap for WebGL to prevent potential issues with
      some graphics drivers. DiD
    - Updated site-specific overrides to address issues with ZoHo.
    - UXP Mozilla security patch summary: 1 fixed, 2 DiD, 6 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Nov 2022 14:47:54 -0700

palemoon (31.3.0.1-1.gtk2) obs; urgency=medium

  * Minor bugfix update to back out the changes to handling of flex containers
    in 31.3.0 since it caused severe usability issues on several websites.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Sep 2022 14:23:09 -0700

palemoon (31.3.0-1.gtk2) obs; urgency=medium

  * Major development, bugfix and security release:
    - Implemented .at(index) JavaScript method on built-in indexables (Array,
      String, TypedArray).
    - Implemented the use of EventSource in workers.
    - Enabled the sending of the Origin: header by default on same-origin
       requests.
    - Changed how Pale Moon is built. We are now using Visual Studio 2022 on
      Windows, and have made build system changes to reduce build times and
      pressure on the linker on all platforms.
    - Changed how Pale Moon handles standalone wave audio files (.wav). See
      implementation notes.
    - Improved string normalization.
    - Updated the handling of CSS "supports" to now accept unparenthesized
      strings (spec update).
    - Updated the handling of flex containers in web pages for web
      compatibility.
    - Fixed various issues when building for Mac OS X.
    - Fixed various C++ standard conformance issues in the source code.
    - Fixed several issues building on SunOS and Linux with various
      configurations and gcc versions.
    - Fixed an issue with regular expressions' dotAll syntax and usage. See
      implementation notes.
    - Switched custom hash map to std::unordered_map where prudent.
    - Cleaned up and updated IPC thread locking code.
    - Removed spacing for accessibility focus rings in form controls to align
      styling of them with expected metrics.
    - Removed the unnecessary control module for building with non-standard
      configurations of the platform.
    - Removed the -moz prefix from min-content and max-content CSS keywords
      where it was still in use.
    - Security fixes: CVE-2022-40956 and CVE-2022-40958.
    - UXP Mozilla security patch summary: 2 fixed, 11 not applicable.

  * Implementation notes:
    - Pale Moon would previously send standalone wave audio files (.wav) to the
      system-configured media player if they would be opened standalone (i.e.
      not inside a <media> HTML element in a page). This was done due to the

