## palemoon 31.4.2

=== debian/changelog ===
palemoon (31.4.2-1.gtk3.mx19) mx; urgency=medium

  * Bugfix and security update:
    - Fixed JPEG-XL's transparency display for images with an alpha channel.
    - Temporarily removed regex lookbehind to stop crashes occurring on 32-bit
      builds of the browser.
    - Added some extra sanity checks to our zip/jar/xpi reader to avoid issues
      with corrupt archives.
    - Aligned cookie checks with RFC 6265 bis. See implementation notes.
    - Removed obsolete code in Windows widgets that could cause potential
      issues with long paths and file names on supported versions.
    - Fixed several crashes.
    - Security issues addressed: CVE-2022-46876, CVE-2022-46874 and several
      others that do not have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 20 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Dec 2022 14:53:25 -0800

palemoon (31.4.1-1.gtk3) obs; urgency=medium

  * Bugfix release:
    - Fixed wrong color of decoded JPEG-XL images.
    - Fixed an issue with plugins not receiving keypress events properly.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Nov 2022 15:07:32 -0800

palemoon (31.4.0-2.gtk3) obs; urgency=medium

  * d/mozconfig: replace superfluous "--enable-appcompat-guid" with fluous
    "--enable-jxl".

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Nov 2022 13:49:55 -0800

palemoon (31.4.0-1.gtk3) obs; urgency=medium

  * Major development update, adding JPEG-XL image support among other things.
    - Added support for the JPEG-XL image format.
    - Implemented regular expressions lookaround/lookbehind.
    - Aligned CORS header parsing with the updated spec. See implementation
      notes.
    - We no longer fire keypress events for non-printable keys. See
      implementation notes.
    - Added support for MacOS 13 "Ventura" in the platform, primarily
      benefitting White Star.
    - Fixed potentially problematic thread locking code on *nix platforms.
    - Fixed some small issues in the display and operation of the Web
      Developer tools.
    - Removed unused but performance-impacting panning and tab animation
      measuring code. (telemetry leftovers)
    - Improved code for SunOS builds.
    - Updated Internationalization data for time zones.
    - Fixed a buffer overflow for Mac builds.
    - Security issues addressed: CVE-2022-45411 and potential issues without
      a CVE number.
    - UXP Mozilla security patch summary: 2 fixed, 1 DiD, 1 deferred,
      25 not applicable.
   - Implementation notes:
      - CORS support has been updated to the current spec. Most importantly,
        Pale Moon now accepts wildcard entries ("*") for the CORS statements
        Access-Control-Expose-Headers, Access-Control-Allow-Headers and
        Access-Control-Allow-Method. Note that wildcards are ignored
       (according to the spec) when credentials are passed.
      - Pale Moon will no longer fire the keypress events in content when the
        key pressed is a non-printable key. This is in response to issues where
        webmasters would use rudimentary and naïve input-restricting scripts in
        onkeypress handlers that would not take into account editing keys or
        navigation keys, causing issues for users trying to enter data into
        forms (and e.g. finding they could no longer use backspace, cursor keys
        or tab). This aligns our behavior with other browsers for web
        compatibility, although it should be considered a website error 
        expecting not all keypresses to be intercepted in keypress events.

  * debian/mozconfig: Replace "--enable-phoenix-extensions" with
    " --enable-appcompat-guid"

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Nov 2022 17:49:19 -0800

palemoon (31.3.1-1.gtk3) obs; urgency=medium

  * Security and compatibility update:
    - Added detection suport for the newly-released MacOS 13 (Ventura).
    - Fixed a potential heap Use-After-Free risk in Expat. (CVE-2022-40674) DiD
    - Fixed potentially undefined behavior in our thread locking code. DiD
    - Fixed a potentially exploitable crash in the refresh driver.
    - Fixed potentially undefined behavior when base-64 decoding. DiD
    - Implemented a texture size cap for WebGL to prevent potential issues with
      some graphics drivers. DiD
    - Updated site-specific overrides to address issues with ZoHo.
    - UXP Mozilla security patch summary: 1 fixed, 2 DiD, 6 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Nov 2022 14:47:54 -0700
