=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,23 @@
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
+# enabling jxl causes FTBFS on ARM, so use custom mozconfig
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
+	MOZCONFIGFILE = debian/mozconfig.arm
+else
+	MOZCONFIGFILE = debian/mozconfig
+endif
+
 %:
 	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -name '*.pyc' -delete
-	rm -f mozconfig*
+	rm -f mozconfig
 
 override_dh_auto_configure:
-	cp debian/mozconfig mozconfig
+	cp $(MOZCONFIGFILE) mozconfig
 
 override_dh_auto_build:
 	make -f client.mk build
