## palemoon 32.0.0

=== debian/changelog ===
palemoon (32.0.0-1.gtk3.mx21) mx; urgency=medium

  * New milestone release:
    - Implemented Regular Expression named capture groups.
    - Implemented Regular Expression unicode property escapes.
    - Re-implemented Regular Expression lookaround/lookbehind (without
      crashing this time ;) ).
    - Implemented progressive decoding for JPEG-XL.
    - Implemented animation for JPEG-XL.
    - Renamed CSS offset-* properties to inset-* to align with the latest spec
      and the web.
    - Fixed CSS inheritance and padding issues in some cases.
    - Aligned parsing of incorrectly duplicated HSTS headers with expected
      behavior (discard all but the first one).
    - Implemented a method to avoid memory exhaustion in case of (very) large
      resolution animated images.
    - Updated the JPEG-XL and Highway libraries to a recent, stable version.
    - Cleaned up some unused CSS prefixing code.
    - Improved the ability to link on *nix operating systems with other linkers
      than gcc's default.
    - Stability improvements (potential crash fixes).
    - Security issues addressed: CVE-2023-23598, CVE-2023-23599 and several
      others that do not have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 2 DiD, 19 not applicable.

  * Restore armhf and arm64 builds with jxl.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Jan 2023 12:10:45 -0800

palemoon (31.4.2-1.gtk2) obs; urgency=medium

  * Bugfix and security update:
    - Fixed JPEG-XL's transparency display for images with an alpha channel.
    - Temporarily removed regex lookbehind to stop crashes occurring on 32-bit
      builds of the browser.
    - Added some extra sanity checks to our zip/jar/xpi reader to avoid issues
      with corrupt archives.
    - Aligned cookie checks with RFC 6265 bis. See implementation notes.
    - Removed obsolete code in Windows widgets that could cause potential
      issues with long paths and file names on supported versions.
    - Fixed several crashes.
    - Security issues addressed: CVE-2022-46876, CVE-2022-46874 and several
      others that do not have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 20 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Dec 2022 14:53:25 -0800
