=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
                libgtk2.0-dev (>= 2.18),
+               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
@@ -32,7 +33,7 @@
 Provides: gnome-www-browser, www-browser, x-www-browser
 Conflicts: palemoon-nonsse2
 Replaces: palemoon-nonsse2
-Description: Goanna-based, efficient and easy to use web browser-GTK+2 build
+Description: Goanna-based, efficient and easy to use web browser-GTK+3 build
  Pale Moon offers you a browsing experience in a browser completely built from
  its own, independently developed source that has been forked off from
  Firefox/Mozilla code a number of years ago, with carefully selected features
