## palemoon 32.0.1

=== debian/changelog ===
palemoon (32.0.1-1.gtk2.mx19) mx; urgency=medium

  * Bugfix and security update:
    - Fixed a crash in the new regular expression code.
    - Added {Extended_Pictographic} unicode property escape to regular
      expressions.
    - Fixed a regression in regular expressions for literal parsing of invalid
      ranges.
    - Updated NSS to pick up fixes.
    - Security issues addressed: CVE-2023-25733 DiD, CVE-2023-25739 DiD and
      CVE-2023-0767.
    - UXP Mozilla security patch summary: 1 fixed, 2 DiD, 14 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Feb 2023 15:27:18 -0800

palemoon (32.0.0-2.gtk3.mx21) mx; urgency=medium

  * Disable jxl for Bullseye arm64 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Jan 2023 16:05:00 -0800
