=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 9),
-               g++ (>= 7),
+               g++ (>= 7.1),
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
+#               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
-               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
+               lsb-release,
                mesa-common-dev,
                pkg-config,
                python2 (>= 2.7.18-2~) | python (>= 2.7),
