=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,34 @@
 #!/usr/bin/make -f
 
 export SHELL=/bin/bash
+
+distrel := $(shell lsb_release --codename --short)
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
 	export DEB_CFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
-# enabling jxl causes FTBFS on ARM, so use custom mozconfig
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
-	MOZCONFIGFILE = debian/mozconfig.arm
+# enabling jxl causes FTBFS on arm64 and gcc-10, plus with armhf for gcc-12,
+# so use custom mozconfig
+ifneq (,$(filter $(distrel), bullseye))
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
+	MOZCONFIGFILE = debian/mozconfig.nojxl
 else
 	MOZCONFIGFILE = debian/mozconfig
+endif
+endif
+
+ifneq (,$(filter $(distrel), buster bionic focal jammy))
+	MOZCONFIGFILE = debian/mozconfig
+endif
+
+ifneq (,$(filter $(distrel), kinetic bookworm sid))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
+	MOZCONFIGFILE = debian/mozconfig.nojxl
+else
+	MOZCONFIGFILE = debian/mozconfig
+endif
 endif
 
 %:
