## palemoon 32.1.0

=== debian/changelog ===
palemoon (32.1.0-1.gtk3.mx23) mx; urgency=medium

  * Major upgrade release:
    - Shadow DOM and CustomElements, collectively making up WebComponents, have
      been enabled by default which should bring much broader web compatibility
      to the browser for many a site that uses web 2.0+ frameworks.
    - Tab titles in the browser now fade if they are too long instead of using
      ellipses, to provide a little more readable space to page titles. Note
      that this may require some updates to tab extensions or themes.
    - A number of site-specific overrides have been updated or removed because
      they are no longer necessary or current with the platform developments in
      terms of web compatibility. We could use your help evaluating the ones
      that are still there; see the issue on our repo.
    - Updated our promises and async function implementation to the current
      spec.
    - Implemented Promise.any()
    - Fixed several crashes related to regular expression code.
    - Improved regular expression object handling so it can be properly
      garbage collected.
    - Fixed some VP8 video playback.
    - Fixed an issue where the caret (text cursor) would sometimes not be
      properly visible.
    - Updated the embedded emoji font.
    - Implemented the :is() and :where() CSS pseudo-classes.
    - Implemented complex selectors for the :not() CSS pseudo-class.
    - Implemented the inset CSS shorthand property.
    - Implemented the env() environment variable CSS function.
    - Implemented handling for RGB encoded video playback (instead of
      just YUV).
    - Implemented handling for full-range videos (0-255 luminance levels)
      giving better video playback quality.
    - Removed the WebP image decoder pref. See implementation notes.
    - Enabled the Web text-to-speech API by default (only supported on some
      operating systems).
    - Updated NSPR to 4.35 and NSS to 3.79.4
    - Cleaned up unused "tracking protection" plumbing.
    - Cleaned up URI Classifier plumbing (Google SafeBrowsing leftover).
    - Fixed several intermittent and difficult-to-trace crashes.
    - Improved content type security of jar: channels. DiD
    - Improved JavaScript JIT code generation safety. DiD
    - Fixed potential crash scenarios in the graphics subsystem. DiD
    - Improved filename safety when saving files to prevent potential
      environment leaks.
    - Security issues addressed: CVE-2023-25751, CVE-2023-28163 and several
      others that do not have a CVE.
    - UXP Mozilla security patch summary: 1 fixed, 4 DiD, 14 not applicable.

  * Bumped up debhelper to 10 compat.
  * Added override for dh_autoreconf.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Mar 2023 16:23:58 -0700

palemoon (32.0.1-1.gtk3) obs; urgency=medium

  * Bugfix and security update:
    - Fixed a crash in the new regular expression code.
    - Added {Extended_Pictographic} unicode property escape to regular
      expressions.
    - Fixed a regression in regular expressions for literal parsing of invalid
      ranges.
    - Updated NSS to pick up fixes.
    - Security issues addressed: CVE-2023-25733 DiD, CVE-2023-25739 DiD and
      CVE-2023-0767.
    - UXP Mozilla security patch summary: 1 fixed, 2 DiD, 14 not applicable.
    
 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Feb 2023 15:27:18 -0800
