=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,29 @@
 #!/usr/bin/make -f
 
+# Some Debian build tools clear out some variables
 export SHELL=/bin/bash
 
 distrel := $(shell lsb_release --codename --short)
+
+# Reduce memory usage of the linker at the expense of processing time
+# This should help on lower-end architectures like arm and mips, which
+# spend an immense amount of time swapping.
+LDFLAGS += -Wl,--reduce-memory-overheads
+LDFLAGS += -Wl,--no-keep-memory
+
+# Add execution time and memory usage stats in the logs
+LDFLAGS += -Wl,--stats
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
 	export DEB_CFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
-# enabling jxl causes FTBFS on arm64 and gcc-10, plus with armhf for gcc-12,
-# so use custom mozconfig
+ifneq (,$(filter $(distrel), buster bionic focal jammy))
+	MOZCONFIGFILE = debian/mozconfig
+endif
+
+# enabling jxl causes FTBFS on arm64 and gcc-10, and armhf for gcc-12
 ifneq (,$(filter $(distrel), bullseye))
 ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	MOZCONFIGFILE = debian/mozconfig.nojxl
@@ -19,12 +32,8 @@
 endif
 endif
 
-ifneq (,$(filter $(distrel), buster bionic focal jammy))
-	MOZCONFIGFILE = debian/mozconfig
-endif
-
 ifneq (,$(filter $(distrel), kinetic bookworm sid))
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
 	MOZCONFIGFILE = debian/mozconfig.nojxl
 else
 	MOZCONFIGFILE = debian/mozconfig
@@ -39,10 +48,13 @@
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
 
+override_dh_autoreconf:
+
 override_dh_auto_configure:
-	cp $(MOZCONFIGFILE) mozconfig
+	cp $(MOZCONFIGFILE) .
 
 override_dh_auto_build:
+	# building the stuff
 	make -f client.mk build
 
 override_dh_auto_install:
