=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
-               debhelper (>= 9),
+               debhelper (>= 10),
                g++ (>= 7.1),
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-#               libgtk-3-dev,
+               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
