=== debian/rules ===
--- 
+++ 
@@ -19,26 +19,26 @@
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
-ifneq (,$(filter $(distrel), buster bionic focal jammy))
+ifneq (,$(filter $(distrel), buster  bullseye bookworm bionic focal jammy))
 	MOZCONFIGFILE = debian/mozconfig
 endif
 
 # enabling jxl causes FTBFS on arm64 and gcc-10, and armhf for gcc-12
-ifneq (,$(filter $(distrel), bullseye))
-ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
-	MOZCONFIGFILE = debian/mozconfig.nojxl
-else
-	MOZCONFIGFILE = debian/mozconfig
-endif
-endif
+# ifneq (,$(filter $(distrel), bullseye))
+# ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
+# 	MOZCONFIGFILE = debian/mozconfig.nojxl
+# else
+# 	MOZCONFIGFILE = debian/mozconfig
+# endif
+# endif
 
-ifneq (,$(filter $(distrel), kinetic bookworm sid))
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
-	MOZCONFIGFILE = debian/mozconfig.nojxl
-else
-	MOZCONFIGFILE = debian/mozconfig
-endif
-endif
+# ifneq (,$(filter $(distrel), kinetic bookworm sid))
+# ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+# 	MOZCONFIGFILE = debian/mozconfig.nojxl
+# else
+# 	MOZCONFIGFILE = debian/mozconfig
+# endif
+# endif
 
 %:
 	dh $@
