=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 10),
-               g++ (>= 7.1),
+               gcc-8 | gcc-9 | gcc-10 | gcc-11,
+               g++-8 | g++-9 | g++-10 | g++-11,
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev,
+#               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -19,7 +20,7 @@
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python2 (>= 2.7.18-2~) | python (>= 2.7),
+               python2.7,
                unzip,
                yasm,
                zip
@@ -28,7 +29,7 @@
 
 Package: palemoon
 Architecture: any
-Depends: libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59,
+Depends: libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60, 
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-www-browser, www-browser, x-www-browser
