=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Some Debian build tools clear out some variables
 export SHELL=/bin/bash
+
+MOZCONFIGFILE = debian/mozconfig
 
 distrel := $(shell lsb_release --codename --short)
 
@@ -11,34 +13,36 @@
 LDFLAGS += -Wl,--reduce-memory-overheads
 LDFLAGS += -Wl,--no-keep-memory
 
-# Add execution time and memory usage stats in the logs
-LDFLAGS += -Wl,--stats
-
 ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
 	export DEB_CFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
-ifneq (,$(filter $(distrel), buster  bullseye bookworm bionic focal jammy))
-	MOZCONFIGFILE = debian/mozconfig
+
+ifneq (,$(filter $(distrel), bookworm lunar))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+	export CC = gcc-11
+	export CXX = g++-11
+	export CPP = cpp-11
+endif
 endif
 
-# enabling jxl causes FTBFS on arm64 and gcc-10, and armhf for gcc-12
-# ifneq (,$(filter $(distrel), bullseye))
-# ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
-# 	MOZCONFIGFILE = debian/mozconfig.nojxl
-# else
-# 	MOZCONFIGFILE = debian/mozconfig
-# endif
-# endif
+ifneq (,$(filter $(distrel), sid kinetic))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+	export CC = gcc-9
+	export CXX = g++-9
+	export CPP = cpp-9
+endif
+endif
 
-# ifneq (,$(filter $(distrel), kinetic bookworm sid))
-# ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
-# 	MOZCONFIGFILE = debian/mozconfig.nojxl
-# else
-# 	MOZCONFIGFILE = debian/mozconfig
-# endif
-# endif
+ifneq (,$(filter $(distrel), bionic))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
+	export CC = gcc-8
+	export CXX = g++-8
+	export CPP = cpp-8
+endif
+endif
+
 
 %:
 	dh $@
