## palemoon 32.2.1

=== debian/changelog ===
palemoon (32.2.1-1.gtk3.mx23+1) mx; urgency=medium

  * Bugfix and security update:
    - Fixed a crash in devtools in some OOM situations.
    - Fixed crashes when internal script execution was blocked by extensions.
    - Fixed crashes with WebComponents' ::slotted selector.
    - Disabled incremental cycle collector by default to avoid performance
      regressions.
    - Updated the default override for chase.com to work around issues.

  * Remove patch, fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2023 16:30:22 -0700

palemoon (32.2.0-1.gtk3.mx21+1) mx; urgency=medium

  * Add fix_python2-configure_FTBFS_on_armhf.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 May 2023 15:04:40 -0700

palemoon (32.2.0-1.gtk3.mx23) mx; urgency=medium

  * Major upgrade release:
    - Implemented dynamic module imports. See implementation notes.
    - Implemented exporting of async functions in modules.
    - Implemented JavaScript class fields. See implementation notes.
    - Implemented logical assignment operators ||=, &&= and ??=.
    - Implemented a solution for websites using the officially deprecated
      ambiguous window.event. This is disabled by default but can be enabled
      through about:config's dom.window.event.enabled preference.
    - Implemented self.structuredClone() (this may be very obscure to anyone
      except web developers. Apologies ;-) )
    - Implemented Element.replaceChildren. Once again primarily a web
      developer note.
    - Improved Shadow DOM :host matching.
    - Implemented WebComponents' CSS ::slotted() and related functionality.
    - Improved page caching in our memory allocator.
    - Added support for FFmpeg 6.0, especially important for bleeding-edge
      Linux distros.
    - Fixed a potential drawing deadlock for images, specifically SVG. This
      solves a number of hang-on-shutdown scenarios.
    - Fixed various crashes related to WebComponents and our recent JavaScript
      work.
    - Fixed various build-from-source issues on secondary target platforms.
    - Fixed various small browser front-end scripting issues that could lead
      to errors or broken functionality.
    - Fixed handling of async (arrow) functions declared inside constructors.
    - Fixed various small JavaScript conformance issues.
    - Fixed an issue where JavaScript (only in modules) would not properly
      create async wrappers.
    - Updated the DOM Performance API to the current spec (User Timing L3).
    - See implementation notes, especially if you intend to use this in web
      content for critical functionality.
    - Updated keypress event handling to send keypress events on Ctrl+Enter.
    - Updated internal JavaScript structures to make future porting easier, as
      well as improve JavaScript performance.
    - Updated window handling and styling on Mac.
    - Updated the Freetype lib to 2.13.0.
    - Updated the Harfbuzz lib to 7.1.0.
    - Updated our DNS lookup calls to use inet_ntop() instead of the
      deprecated inet_ntoa().
    - Updated the Fetch API to use the global's base URL instead of the entry
      document's base URL for spec compliance.
    - We no longer support the outmoded fontconfig on GTK systems.
    - We no longer parse or return the body of known-empty responses from
      servers (content-length of 0, or in case of HEAD or CONNECT methods).
    - Implemented scaled font caching on GTK, improving performance.
    - Fixed a build issue when building for Linux on ARM64 on later distros.
    - Split out more parts of the browser into separate .dll files on Windows
      to reduce compiler strain and an oversized xul.dll
    - Removed mozilla::AlignedStorage (code cleanup).
    - Builds for FreeBSD now use xz for packaging instead of bzip2. By request,
      we now also offer GTK2 builds for FreeBSD.
    - Merged the preference dom.getRootNode.enabled into the
      dom.webcomponents.enabled pref. See implementation notes.
    - Fixed a potential DoS issue with JPEG decoding.
    - Fixed a potential issue in Windows widget code that could lead to crashes.
    - Disabled potentially hazardous external protocols on Windows.
    - Added known-problematic .dlls to the internal blocklist.
    - Security issues addressed: CVE-2023-32209, CVE-2023-32214 and several
      others that do not have a CVE designation.
    - UXP Mozilla security patch summary: 4 fixed, 1 rejected, 27 not applicable.

  * Add alternative dependency for libavcodec60.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 May 2023 15:19:32 -0700

palemoon (32.1.1-1.gtk3) obs; urgency=medium

  * Bugfix and security update:
    - Fixed a crash in CompareDocumentPosition with Shadow DOM.
    - Fixed a crash with display:contents styling.
    - Added a preference to disable the TLS 1.3 protocol downgrade sentinel.
    - Changed the way large clipboard copy/paste operations are handled,
      improving privacy.
    - Improved filename safety when saving files to prevent potential
      environment leaks (bis).
    - Improved sanity checks of MIME type headers.
    - Security issues addressed: CVE-2023-29545 and CVE-2023-29539.

  * Add patch to fix arm64 builds with jxl on gcc (>= 10).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Apr 2023 15:51:21 -0700
